Bug 7477 - 2 Format string vulnerabilities in ProFTPd
: 2 Format string vulnerabilities in ProFTPd
Status: CLOSED WORKSFORME
: ALT Linux 2.4
(All bugs in ALT Linux 2.4/proftpd)
: 2.4
: all Linux
: P2 major
Assigned To:
:
: http://www.securitylab.ru/56190.html
:
:
:
  Show dependency tree
 
Reported: 2005-07-28 11:38 by
Modified: 2008-02-15 18:56 (History)


Attachments
Patch for spec file (1.24 KB, patch)
2005-08-07 03:52, Igor Zubkov
no flags Details | Diff
refactored patch # 7 for proftpd (correct build with postgresql) (415 bytes, patch)
2005-08-07 03:55, Igor Zubkov
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-07-28 11:38:24
Обнаруженные уязвимости позволяют удаленному пользователю вызвать отказ в
обслуживании или выполнить произвольный код на целевой системе.

1. Уязвимость форматной строки обнаружена при отображении сообщения об
отключении, содержащее имя текущей директории. Злоумышленник может создать
специально сформированное имя каталога и вызвать отказ в обслуживании или
выполнить произвольный код на целевой системе. Для удачной эксплуатации имя
директории должно содержать переменные: "%C", "%R" или "%U".

2. Уязвимость форматной строки обнаружена в модуле mod_sql при получении
информации из базы данных. Злоумышленник может создать специально
сформированные
insert запросы к БД и вызвать отказ в обслуживании или выполнить произвольный
код на целевой системе.
------- Comment #1 From 2005-08-02 13:38:20 -------
Так... ничего не успеваю.  Можете собрать обновление?
------- Comment #2 From 2005-08-03 15:00:36 -------
Миша, это вы мне?
------- Comment #3 From 2005-08-03 15:08:44 -------
Угу.

PS 2 icesik: вообще с радостью постараюсь помочь вам заработать участие в
security-team@.  Оно руки с адекватными головами лищними не бывают.
------- Comment #4 From 2005-08-07 00:51:13 -------
(In reply to comment #3)
> Угу.
> 
> PS 2 icesik: вообще с радостью постараюсь помочь вам заработать участие в
> security-team@.  Оно руки с адекватными головами лищними не бывают.

Ок. Я попробую. Куда мне это залить?

Я так думаю к утру справлюсь...
------- Comment #5 From 2005-08-07 03:48:50 -------
Итак. Я пересобрал rc2 в котором эти ошибки должны быть исправлены (если верить 
файлу NEWS). 

Маленький тест пересобранная версия прошла. Я поставил её на свою домашнюю 
машину и зашёл на ftp под локальным пользователем и он показал мне содержимое 
~/. 

Patch 7 пришлось немного переделать. Прилагается в аттаче. 
Patch 8 включён в upstream. 

Diff на спек прилагается. 

Теперь это надо пересобрать под Мастер 2.4. Его у меня под рукой нет. Так что 
ни чем здесь сейчас помочь не могу. Может быть завтра что-то изменится. 
------- Comment #6 From 2005-08-07 03:52:08 -------
Created an attachment (id=1033) [details]
Patch for spec file
------- Comment #7 From 2005-08-07 03:55:42 -------
Created an attachment (id=1034) [details]
refactored patch # 7 for proftpd (correct build with postgresql)
------- Comment #8 From 2006-01-27 15:13:35 -------
Давным давно fixed... 
------- Comment #9 From 2006-01-27 15:14:08 -------
и closed... 
------- Comment #10 From 2006-01-30 10:11:39 -------
хотя в SA updates 2.4 так и не попало...
------- Comment #11 From 2006-01-30 19:55:51 -------
Таки мяу. Переоткрываю. 
 
Кстати, обновление лежит в backports. Его надо только переложить 
в /updates/2.4/. 
------- Comment #12 From 2008-02-15 18:56:36 -------
backports/2.4 proftpd-1.3.0rc3-alt0.M24.1

2 ldv: 2 updates? :)